org.apache.sysds.hops.codegen.cplan

## Class CNodeMultiAgg

- java.lang.Object
- - org.apache.sysds.hops.codegen.cplan.CNode
  - - org.apache.sysds.hops.codegen.cplan.CNodeTpl
    - - org.apache.sysds.hops.codegen.cplan.CNodeMultiAgg

- All Implemented Interfaces:
    Cloneable

      public class CNodeMultiAgg
      extends CNodeTpl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CNodeMultiAgg(ArrayList<CNode> inputs, ArrayList<CNode> outputs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CNodeTpl` | `clone()`
    `String` | `codegen(boolean sparse, SpoofCompiler.GeneratorAPI api)`
    `int` | `compile(SpoofCompiler.GeneratorAPI api, String src)`
    `boolean` | `equals(Object o)`
    `ArrayList<Types.AggOp>` | `getAggOps()`
    `SpoofFusedOp.SpoofOutputDimsType` | `getOutputDimType()`
    `ArrayList<CNode>` | `getOutputs()`
    `ArrayList<Hop>` | `getRootNodes()`
    `String` | `getTemplateInfo()`
    `int` | `hashCode()`
    `boolean` | `isSparseSafe()`
    `boolean` | `isSupported(SpoofCompiler.GeneratorAPI api)`
    `void` | `renameInputs()`
    `void` | `resetVisitStatusOutputs()`
    `void` | `setAggOps(ArrayList<Types.AggOp> aggOps)`
    `void` | `setOutputDims()`
    `void` | `setRootNodes(ArrayList<Hop> roots)`
    `void` | `setSparseSafe(boolean flag)`

    - ### Methods inherited from class org.apache.sysds.hops.codegen.cplan.CNodeTpl

      `addInput, codegen, getBeginLine, getGeneratorAPI, getInputHopIDs, getInputNames, resetVisitStatus, rReorderCommutativeBinaryOps, setBeginLine, setGeneratorAPI`

    - ### Methods inherited from class org.apache.sysds.hops.codegen.cplan.CNode

      `createVarname, getClassname, getDataType, getID, getInput, getNumCols, getNumRows, getOutput, getVarname, getVarname, getVectorLength, isGenerated, isLiteral, isVisited, resetGenerated, resetHash, resetVisitStatus, setDataType, setLiteral, setNumCols, setNumRows, setOutput, setVarName, setVisited, setVisited`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CNodeMultiAgg

          public CNodeMultiAgg(ArrayList<CNode> inputs,
                               ArrayList<CNode> outputs)

  - ### Method Detail

    - #### getOutputs

          public ArrayList<CNode> getOutputs()

    - #### resetVisitStatusOutputs

          public void resetVisitStatusOutputs()

      Overrides:
        `resetVisitStatusOutputs` in class `CNodeTpl`

    - #### setAggOps

          public void setAggOps(ArrayList<Types.AggOp> aggOps)

    - #### getAggOps

          public ArrayList<Types.AggOp> getAggOps()

    - #### setRootNodes

          public void setRootNodes(ArrayList<Hop> roots)

    - #### getRootNodes

          public ArrayList<Hop> getRootNodes()

    - #### setSparseSafe

          public void setSparseSafe(boolean flag)

    - #### isSparseSafe

          public boolean isSparseSafe()

    - #### renameInputs

          public void renameInputs()

      Specified by:
        `renameInputs` in class `CNodeTpl`

    - #### codegen

          public String codegen(boolean sparse,
                                SpoofCompiler.GeneratorAPI api)

      Specified by:
        `codegen` in class `CNode`

    - #### setOutputDims

          public void setOutputDims()

      Specified by:
        `setOutputDims` in class `CNode`

    - #### getOutputDimType

          public SpoofFusedOp.SpoofOutputDimsType getOutputDimType()

      Specified by:
        `getOutputDimType` in class `CNodeTpl`

    - #### clone

          public CNodeTpl clone()

      Specified by:
        `clone` in class `CNodeTpl`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `CNodeTpl`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `CNodeTpl`

    - #### getTemplateInfo

          public String getTemplateInfo()

      Specified by:
        `getTemplateInfo` in class `CNodeTpl`

    - #### isSupported

          public boolean isSupported(SpoofCompiler.GeneratorAPI api)

      Specified by:
        `isSupported` in class `CNode`

    - #### compile

          public int compile(SpoofCompiler.GeneratorAPI api,
                             String src)

      Specified by:
        `compile` in class `CNodeTpl`

Copyright © 2021 The Apache Software Foundation. All rights reserved.